@REM This batch file is used to install HDF5 libraries and tools
@REM Last Updated: Aug. 3, 2004

@REM Install C libraries and tools
mkdir hdf5lib
cd hdf5lib
mkdir debug
cd debug
mkdir bin
mkdir bindll
mkdir dll
mkdir lib
mkdir include
cd ..
mkdir release
cd release
mkdir bin
mkdir bindll
mkdir dll
mkdir lib
mkdir include 
cd ..
cd ..

copy src\*.h hdf5lib\debug\include
del hdf5lib\debug\include\*private.h
copy proj\hdf5\debug\hdf5d.lib hdf5lib\debug\lib
copy proj\hdf5dll\debug\hdf5ddll.lib hdf5lib\debug\dll
copy proj\hdf5dll\debug\hdf5ddll.dll hdf5lib\debug\dll

copy tools\h5dump\debug\h5dump.exe hdf5lib\debug\bin
copy tools\h5import\debug\h5import.exe hdf5lib\debug\bin
copy tools\h5repart\debug\h5repart.exe hdf5lib\debug\bin
copy tools\h5ls\debug\h5ls.exe hdf5lib\debug\bin
copy tools\h5debug\debug\h5debug.exe hdf5lib\debug\bin
copy tools\gifconv\debug\gif2h5.exe hdf5lib\debug\bin
copy tools\gifconv\debug\h52gif.exe hdf5lib\debug\bin

copy tools\h5dumpdll\debug\h5dumpdll.exe hdf5lib\debug\bindll
copy tools\h5importdll\debug\h5importdll.exe hdf5lib\debug\bindll
copy tools\h5repartdll\debug\h5repartdll.exe hdf5lib\debug\bindll
copy tools\h5lsdll\debug\h5lsdll.exe hdf5lib\debug\bindll
copy tools\h5debugdll\debug\h5debugdll.exe hdf5lib\debug\bindll


copy src\*.h hdf5lib\release\include
del hdf5lib\release\include\*private.h
copy proj\hdf5\release\hdf5.lib hdf5lib\release\lib
copy proj\hdf5dll\release\hdf5dll.lib hdf5lib\release\dll
copy proj\hdf5dll\release\hdf5dll.dll hdf5lib\release\dll

copy tools\h5dump\release\h5dump.exe hdf5lib\release\bin
copy tools\h5import\release\h5import.exe hdf5lib\release\bin
copy tools\h5repart\release\h5repart.exe hdf5lib\release\bin
copy tools\h5ls\release\h5ls.exe hdf5lib\release\bin
copy tools\h5debug\release\h5debug.exe hdf5lib\release\bin
copy tools\gifconv\release\gif2h5.exe hdf5lib\release\bin
copy tools\gifconv\release\h52gif.exe hdf5lib\release\bin

copy tools\h5dumpdll\release\h5dumpdll.exe hdf5lib\release\bindll
copy tools\h5importdll\release\h5importdll.exe hdf5lib\release\bindll
copy tools\h5repartdll\release\h5repartdll.exe hdf5lib\release\bindll
copy tools\h5lsdll\release\h5lsdll.exe hdf5lib\release\bindll
copy tools\h5debugdll\release\h5debugdll.exe hdf5lib\release\bindll



@REM Install C++ libraries and tools
mkdir cpplib
cd cpplib
mkdir debug
cd debug
mkdir dll
mkdir lib
mkdir include
cd ..
mkdir release
cd release
mkdir dll
mkdir lib
mkdir include 
cd ..
cd ..

copy src\*.h cpplib\debug\include
del cpplib\debug\include\*private.h
copy proj\hdf5_cpp\debug\hdf5_cppd.lib cpplib\debug\lib
copy proj\hdf5_cppdll\debug\hdf5_cppddll.lib cpplib\debug\dll
copy proj\hdf5_cppdll\debug\hdf5_cppddll.dll cpplib\debug\dll


copy src\*.h cpplib\release\include
del cpplib\release\include\*private.h
copy proj\hdf5_cpp\release\hdf5_cpp.lib cpplib\release\lib
copy proj\hdf5_cppdll\release\hdf5_cppdll.lib cpplib\release\dll
copy proj\hdf5_cppdll\release\hdf5_cppdll.dll cpplib\release\dll



@REM Install Fortran libraries and tools
mkdir fortranlib
cd fortranlib
mkdir debug
cd debug
@REM comment the following script as fortran dll does not work at current time
@REM mkdir dll
mkdir lib
mkdir include
cd ..
mkdir release
cd release
@REM comment the following script as fortran dll does not work at current time
@REM mkdir dll
mkdir lib
mkdir include 
cd ..
cd ..

copy src\*.h fortranlib\debug\include
del fortranlib\debug\include\*private.h
copy proj\hdf5_fortran\debug\hdf5_fortrand.lib fortranlib\debug\lib
copy proj\hdf5_f90cstub\debug\hdf5_f90cstubd.lib fortranlib\debug\lib
copy fortran\test\libtest_fortran\debug\libtest_fortrand.lib fortranlib\debug\lib

@REM comment the following script as fortran dll does not work at current time
@REM copy proj\hdf5_f90cstubdll\debug\hdf5_f90cstubddll.lib fortranlib\debug\dll
@REM copy proj\hdf5_f90cstubdll\debug\hdf5_f90cstubddll.dll fortranlib\debug\dll
@REM copy proj\hdf5_fortrandll\debug\hdf5_fortranddll.lib fortranlib\debug\dll
@REM copy proj\hdf5_fortrandll\debug\hdf5_fortranddll.dll fortranlib\debug\dll


copy src\*.h fortranlib\release\include
del fortranlib\release\include\*private.h
copy proj\hdf5_fortran\release\hdf5_fortran.lib fortranlib\release\lib
copy proj\hdf5_f90cstub\release\hdf5_f90cstub.lib fortranlib\release\lib
copy fortran\test\libtest_fortran\release\libtest_fortran.lib fortranlib\release\lib

@REM comment the following script as fortran dll does not work at current time
@REM copy proj\hdf5_f90cstubdll\release\hdf5_f90cstubdll.lib fortranlib\release\dll
@REM copy proj\hdf5_f90cstubdll\release\hdf5_f90cstubdll.dll fortranlib\release\dll
@REM copy proj\hdf5_fortrandll\release\hdf5_fortrandll.lib fortranlib\release\dll
@REM copy proj\hdf5_fortrandll\release\hdf5_fortrandll.dll fortranlib\release\dll